> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> This API validates and enriches address information
    submitted by the user. It ensures that the address is standardized, accurate,
    and compliant with geographical and postal standards.
    The API also adds additional fields, such as county, when possible.



## OpenAPI

````yaml post /v1/address_validation/search
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/address_validation/search:
    post:
      tags:
        - Address Validation
      summary: Search
      description: |-
        This API validates and enriches address information
            submitted by the user. It ensures that the address is standardized, accurate,
            and compliant with geographical and postal standards.
            The API also adds additional fields, such as county, when possible.
      operationId: search_v1_address_validation_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddressBase'
            example:
              phone: 555-123-4567
              street_1: 1600 Amphitheatre Parkway
              street_2: Building 40
              city: Mountain View
              county: Santa Clara
              state: CA
              postal_code: '94043'
              country: US
              full_address: 1600 Amphitheatre Parkway, Mountain View, CA 94043
        required: true
      responses:
        '200':
          description: Address found successfully
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AddressSearchResponse'
                type: array
                title: Response 200 Search V1 Address Validation Search Post
              example:
                - address_submitted:
                    street_1: 1600 Amphitheatre Parkway
                    street_2: ''
                    city: Mountain View
                    county: ''
                    state: CA
                    postal_code: '94043'
                    country: US
                    full_address: ''
                  response_address:
                    street_1: 1600 AMPHITHEATRE PARKWAY
                    street_2: ''
                    city: MOUNTAIN VIEW
                    county: SANTA CLARA
                    state: CA
                    postal_code: '94043'
                    country: US
                    full_address: ''
                  verification_status: VERIFIED
                  enrich_fields:
                    - county
        '401':
          description: The request is missing a valid x-api-key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: Authorization header is missing or token is invalid.
        '422':
          description: >-
            Validation error - Address fields failed validation or are
            incomplete
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/backend__src__address_validation__responses__ValidationErrorResponse
              example:
                detail:
                  - type: missing
                    loc:
                      - body
                    msg: Field required
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: An unexpected error occurred.
      security:
        - APIKeyHeader: []
components:
  schemas:
    AddressBase:
      properties:
        phone:
          description: Phone number associated with the address.
          type: string
        street_1:
          description: Primary street address.
          type: string
        street_2:
          description: >-
            Additional street address details, such as an apartment or suite
            number.
          type: string
        city:
          description: City where the customer resides.
          type: string
        county:
          description: County or district of the customer.
          type: string
        state:
          description: State or province of the customer.
          type: string
        postal_code:
          description: ZIP or Postal code of the customer.
          type: string
        country:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: Country code in ISO 3166-1 alpha-2 format
        full_address:
          description: >-
            Complete address string of the customer, which can be used as an
            alternative to individual fields.
          type: string
      type: object
      title: AddressBase
    AddressSearchResponse:
      properties:
        address_submitted:
          $ref: '#/components/schemas/AddressSubmittedResponse'
          description: The original address data submitted in the request
        response_address:
          $ref: '#/components/schemas/AddressResponseData'
          description: The standardized and enriched version of the submitted address
        verification_status:
          type: string
          title: Verification Status
          description: >-
            Indicates if the address was VERIFIED, PARTIALLY_VERIFIED, INVALID,
            UNVERIFIABLE, BLANK
        enrich_fields:
          items:
            type: string
          type: array
          title: Enrich Fields
          description: List of additional fields added to enrich the address
      type: object
      required:
        - address_submitted
        - response_address
        - verification_status
        - enrich_fields
      title: AddressSearchResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__address_validation__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__address_validation__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    AddressSubmittedResponse:
      properties:
        street_1:
          description: Primary street address of the customer
          type: string
        street_2:
          description: >-
            Additional street address details, such as an apartment or suite
            number
          type: string
        city:
          description: City where the customer resides
          type: string
        county:
          description: County or district of the customer
          type: string
        state:
          description: State or province of the customer
          type: string
        postal_code:
          description: ZIP or Postal code of the customer
          type: string
        country:
          description: Country code in ISO 3166-1 alpha-2 format
          type: string
        full_address:
          description: >-
            Complete address string of the customer, which can be used as an
            alternative to individual fields
          type: string
      type: object
      title: Submitted Address
    AddressResponseData:
      properties:
        street_1:
          description: Primary street address of the customer
          type: string
        street_2:
          description: >-
            Additional street address details, such as an apartment or suite
            number
          type: string
        city:
          description: City where the customer resides
          type: string
        county:
          description: County or district of the customer
          type: string
        state:
          description: State or province of the customer
          type: string
        postal_code:
          description: ZIP or Postal code of the customer
          type: string
        country:
          description: Country code in ISO 3166-1 alpha-2 format
          type: string
        full_address:
          description: >-
            Complete address string of the customer, which can be used as an
            alternative to individual fields
          type: string
      type: object
      title: Standardized Address
    backend__src__address_validation__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: Type of validation error
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````